Skip to main content
PUT
Bulk Save Care Plan Steps

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

care_plan_id
string
required

Body

application/json

Replaces ALL steps on a care plan atomically.

steps
CarePlanStepSave · object[]
required
cycles
CarePlanCycleSave · object[] | null
branchSelections
BranchSelectionPayload · object[] | null
cycleModificationMode
enum<string> | null
Available options:
THIS,
FUTURE,
ALL

Response

Successful Response

Full care plan detail including all steps.

id
string
required
name
string
required
patientId
string
required
locationId
string
required
assignedById
string
required
startDate
string<date-time>
required
description
string | null
templateId
string | null
stepCount
integer
default:0
completedStepCount
integer
default:0
tagIds
string[]

Associated tag IDs

tags
CarePlanTagDetail · object[]

Associated tags

createdDate
string<date-time> | null
updatedDate
string<date-time> | null
steps
CarePlanStepDetail · object[]
cycles
CarePlanCycleDetail · object[]